Name the library files correctly.
--- configure.ac.orig	2023-08-10 15:49:35.000000000 -0500
+++ configure.ac	2023-08-10 22:35:43.000000000 -0500
@@ -136,16 +136,16 @@
 
 AC_CANONICAL_HOST
 
-basesharedname="libstk-\$(RELEASE)"
-
 AC_SUBST( sharedlib, ["libstk.so"] )
-AC_SUBST( sharedname, [${basesharedname}.so] )
-AC_SUBST( libflags, ["-shared -Wl,-soname,${basesharedname}.so -o $sharedname"] )
+AC_SUBST( sharedname, ["libstk.so.\$(MAJOR)"] )
+AC_SUBST( sharedrelease, ["libstk.so.\$(RELEASE)"] )
+AC_SUBST( libflags, ["-shared -Wl,-soname,\$(SHAREDNAME)"] )
 case $host in
   *-apple*)
   AC_SUBST( sharedlib, ["libstk.dylib"] )
-  AC_SUBST( sharedname, ["${basesharedname}.dylib"] )
-  AC_SUBST( libflags, ["-dynamiclib -install_name \$(libdir)/${basesharedname}.dylib -o ${basesharedname}.dylib"] )
+  AC_SUBST( sharedname, ["libstk.\$(MAJOR).dylib"] )
+  AC_SUBST( sharedrelease, ["libstk.\$(RELEASE).dylib"] )
+  AC_SUBST( libflags, ["-dynamiclib -install_name \$(libdir)/\$(SHAREDNAME)"] )
 esac
 
 if test $realtime = yes; then
--- src/Makefile.in.orig	2021-11-17 20:08:39.000000000 -0600
+++ src/Makefile.in	2023-01-18 03:27:50.000000000 -0600
@@ -3,6 +3,8 @@
 
 STATICLIB = libstk.a
 SHAREDLIB = @sharedlib@
+SHAREDNAME = @sharedname@
+SHAREDRELEASE = @sharedrelease@
 MAJOR = 4
 RELEASE = @PACKAGE_VERSION@
 
@@ -91,9 +93,7 @@
 	$(AR) $(STATICLIB) $(OBJECT_PATH)/*.o
 
 $(SHAREDLIB) : $(OBJECTS)
-	$(RM) -f $(@) $(SHAREDLIB).$(MAJOR) $(SHAREDLIB)
-	$(CC) $(LDFLAGS) -fPIC @libflags@ $(OBJECT_PATH)/*.o $(LIBS)
-	$(LN) -s @sharedname@ $(SHAREDLIB)
+	$(CC) $(LDFLAGS) -fPIC @libflags@ -o $(@) $(OBJECT_PATH)/*.o $(LIBS)
 
 install-headers:
 	install -d $(DESTDIR)$(includedir)/stk
@@ -101,8 +101,9 @@
 
 install: $(SHAREDLIB) install-headers
 	install -d $(DESTDIR)$(libdir)
-	install -m 644 @sharedname@ $(DESTDIR)$(libdir)
-	ln -sf @sharedname@ $(DESTDIR)$(libdir)/$(SHAREDLIB)
+	install -m 644 $(SHAREDLIB) $(DESTDIR)$(libdir)/$(SHAREDRELEASE)
+	$(LN) -sf $(SHAREDRELEASE) $(DESTDIR)$(libdir)/$(SHAREDNAME)
+	$(LN) -sf $(SHAREDRELEASE) $(DESTDIR)$(libdir)/$(SHAREDLIB)
 
 
 $(OBJECTS) : Stk.h
@@ -110,7 +111,7 @@
 clean : 
 	$(RM) -f $(OBJECT_PATH)/*.o
 	$(RM) -f $(STATICLIB)
-	$(RM) -f $(SHAREDLIB)* @sharedname@
+	$(RM) -f $(SHAREDLIB) $(SHAREDNAME)
 	$(RM) -f *~
 	$(RM) -fR *.dSYM
 
